#pragma once

namespace Juliet
{
    class NonMovable
    {
      public:
        NonMovable()          = default;
        virtual ~NonMovable() = default;

        NonMovable(const NonMovable&&)                  = delete;
        const NonMovable& operator=(const NonMovable&&) = delete;
    };
} // namespace Juliet
